{% extends '/easyAdmin/layout/linked_user_layout.html.twig' %}



{% block title %}{# TODO add title #}{% endblock %}
{% block content %}
    <style>
        .banner{
            height: 400px;
            width: auto;
        {% if rent.stage.event.banner is not null %}
            background: url("{{ rent.stage.event.banner.filePath }}")  center   ;
        {% else %}
            background: url("public/img/banner/imageHome.jpg") center;
        {% endif %}

            background-size: cover;

        }
        .card-rent{
            height: 200px;
        }
    </style>
    <div class="container-fluid">
        <div >
            <div class="banner"></div>
            <h1>
                {{ rent.title }}
            </h1>

        </div>
        <div class=" row">
            <div class="col-4">
                <div class="card card-rent">
                    <div class="card-title">
                        Company
                    </div>
                    <div class="card-body">
                        <div>
                            {{ company.name }}
                        </div>
                        <div>
                            {{ company.address }}<br>
                            {{ company.postalCode }} {{ company.city }}<br>
                        </div>
                        <div>
                            Mail : {{ company.email }}
                            {% for phone in companyPhones %}
                                <br>
                                Phone : {{ phone.phoneNumber|phone_number_format('NATIONAL') }} ({{ phone.type }})
                            {% endfor%}
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-4">
                <div class="card card-rent">
                    <div class="card-title">
                        Event
                    </div>
                    <div class="card-body">
                        {{ rent.stage.event.name }}<br>
                        {{ rent.stage.address }}<br>
                        {{ rent.stage.postalCode }} {{ rent.stage.city }}<br>
                        <hr>
                        <strong>
                            Event date:
                        </strong>

                        {{ rent.stage.event.dateStart ? rent.stage.event.dateStart|date('d-m-Y')}} to  {{ rent.stage.event.dateEnd ? rent.stage.event.dateEnd|date('d-m-Y')}}
                    </div>
                </div>
            </div>
            <div class=" col-4">
                <div class="card card-rent">
                    <div class="card-title">
                        Backers
                    </div>
                    <div class="card-body row">
                        <div class="card col-6">
                            <p>Rent</p>
                            <div>
                                <div>
                                    {{ userRent.firstname }}
                                    {{ userRent.lastname }}
                                </div>
                                <div>
                                    Mail : {{ userRent.email }}
                                    {% for userRentPhone in userRentPhones %}
                                        <br>
                                        Phone : {{ userRentPhone.phoneNumber|phone_number_format('NATIONAL') }} ({{ userRentPhone.type }})
                                    {% endfor%}
                                </div>
                            </div>
                        </div>
                        <div class="card col-6">
                            <p>
                                Contract
                            </p>
                            <div>
                                <div>
                                    {{ userContract.firstname }}
                                    {{ userContract.lastname }}
                                </div>
                                <div>
                                    Mail : {{ userContract.email }}
                                    {% for userContractPhone in userContractPhones %}
                                        <br>
                                        Phone : {{ userContractPhone.phoneNumber|phone_number_format('NATIONAL') }} ({{ userContractPhone.type }})
                                    {% endfor%}
                                </div>
                            </div>

                        </div>

                    </div>
                </div>


            </div>

        </div>
        <div class="row">
            <div class="col-2">
                <strong>Total amount :</strong> {{ rent.contract.bigValue }} Big <br>
                <strong>Mutualisation commission :</strong> {{ rent.contract.cagibigCommission }}% <br>
                <strong>Storage commission :</strong>{{ rent.contract.stockCommission }}% <br>
                <strong>Maintenance commission :</strong> {{ rent.contract.maintenanceCommission }}%
            </div>
            <div class="col-2 offset-6">
                <strong>Exploitation period:</strong><br>
                {{ rent.dateStart ? rent.dateStart|date('d-m-Y') }} to {{ rent.dateEnd ? rent.dateEnd|date('d-m-Y')}}
            </div>
        </div>
        <br><br>
        <hr>
        <h4>Lists of products</h4>
        <table class="table">
            <thead>
            <tr>
                <th scope="col"> Name </th>
                <th scope="col"> Cost </th>
                <th scope="col">Quantity </th>
                <th scope="col"> limitation </th>
            </tr>
            </thead>
            <tbody>

            {% for product in products %}

                <tr>
                    <td>  {{ product.name }}</td>
                    <td> {{ product.bigCost }} </td>
                    <td>
                        {% for key, value in arrayQuantity %}
                            {% if key == product.globalReference %}
                                {{ value }}
                            {% endif %}
                        {% endfor %}
                    </td>

                    <td>
                        {% if  product.tagTypeLimitations is not empty %}
                            <button class="btn btn-danger" type="button" data-toggle="collapse" data-target="#multiCollapseExample{{  product.id }}" aria-expanded="false" aria-controls="multiCollapseExample{{ product.id }}">
                                detail
                            </button>
                        {% endif %}
                    </td>
                </tr>

                {% if  product.tagTypeLimitations is not empty %}
                    {%  for limitation in product.tagTypeLimitations %}
                        <tr class="collapse" id="multiCollapseExample{{ product.id }}">
                            <td>{{ limitation.name }}</td>
                            <td> {{ limitation.description }}</td>
                        </tr>

                    {% endfor%}

                {% endif %}
            {% endfor %}


            </tbody>
        </table>
        <br><br>
        <div>
            <h4>Information</h4>
            <table class="table">
                <thead>
                <tr>
                    <th scope="col"> Name </th>
                    <th scope="col"> Description </th>
                </tr>
                </thead>
                <tbody>
                {% for info in infos %}
                    <tr>
                        <td>{{ info.name }}</td>
                        <td>{{ info.description }}</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

{% endblock %}